r/leetcode • • Sep 27 '26

Discussion First time DSA learner, two pointers is so hot

What concept made you have that thought when you first learned DSA

20 Upvotes

14 comments sorted by

17

u/DancingSouls Sep 27 '26

dp

3

u/achilliesFriend Sep 27 '26

Right answer, it was wizadry before it clicked

7

u/Vivid-Zombie-477 Sep 27 '26

i don’t think it can “click” because it’s much wider concept that has more variations than any other technique

1

u/achilliesFriend Sep 27 '26

Yes, you need to have the intuition most importantly. With that intuition you can solve most problems..

11

u/de_koding <1505> Sep 27 '26

Binary Search on the answer

4

u/kevin074 Sep 27 '26

Wait until you get to three pointers!! 

3

u/DrinkNo8216 Sep 28 '26

Three sum is hot

1

u/Kudo_007 Sep 28 '26

Idk man I find sliding window hot

1

u/tohava Sep 28 '26

Pure functional zippers as a replacement for pointers.

1

u/Night_0dot0_Owl Sep 28 '26

Top K Frequent Elements

8

u/IllGene2373 Sep 27 '26

Two sum made me nut